Package com.emc.d2fs.models.archive_info

# Class ArchiveInfo

java.lang.Object
com.emc.d2fs.models.archive_info.ArchiveInfo

All Implemented Interfaces:
  `Serializable`

public class ArchiveInfo extends Object implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="versions" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute ref="{http://www.emc.com/d2fs/models/common}id use="required""/>
           <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="creationDate" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="logEntry" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArchiveInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCreationDate()`
  Gets the value of the creationDate property.
  `String`
  `getId()`
  Gets the value of the id property.
  `String`
  `getLogEntry()`
  Gets the value of the logEntry property.
  `String`
  `getName()`
  Gets the value of the name property.
  `List<String>`
  `getVersions()`
  Gets the value of the versions property.
  `void`
  `setCreationDate(String value)`
  Sets the value of the creationDate property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setLogEntry(String value)`
  Sets the value of the logEntry property.
  `void`
  `setName(String value)`
  Sets the value of the name property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ArchiveInfo

    public ArchiveInfo()

- ## Method Details

  - ### getVersions

    public List<String> getVersions()
    Gets the value of the versions property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the versions property.

    For example, to add a new item, do as follows:

            getVersions().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`

  - ### getName

    public String getName()
    Gets the value of the name property.
    Returns:
      possible object is `String`

  - ### setName

    public void setName(String value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `String`

  - ### getCreationDate

    public String getCreationDate()
    Gets the value of the creationDate property.
    Returns:
      possible object is `String`

  - ### setCreationDate

    public void setCreationDate(String value)
    Sets the value of the creationDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLogEntry

    public String getLogEntry()
    Gets the value of the logEntry property.
    Returns:
      possible object is `String`

  - ### setLogEntry

    public void setLogEntry(String value)
    Sets the value of the logEntry property.
    Parameters:
      `value` - allowed object is `String`